@Echo Off
rem 
rem  This is an example batch file to use with FrontDoor, Max-Menu,
rem  Shotgun Professional, GEcho, The BBS WatchDog, and BG-Fax....
rem
rem  Make a note that all calls to DOBBS0.BAT are calls to the start
rem  up batch file created by FrontDoor. All call made to DOBBS1.BAT
rem  are calls to the batch file created by Max-Menu. In this example
rem  Max-Menu is set up to exit at ErrorLevel 205 to start up my BBS
rem  program. I hope this is easy for you to follow, I've tried real
rem  hard to comment every step of it as clearly as possible.
rem 

:BEGIN
    Set FD=C:\FD
    Echo ATZ > COM1
    C:
    CD\SHOTGUN\WATCHDOG
    WATCHDOG 1
    If ErrorLevel 199 Goto WDSCAN
    CD\FD
    FD.EXE

rem 
rem Check for External (X) Events...  (Maintenance, etc.)
rem 

    If ErrorLevel 255 Goto FAX
    If ErrorLevel 205 Goto MAINT

rem 
rem Check For Incoming Mail...
rem 

    If ErrorLevel 200 Goto MAILRECV

rem 
rem Check For Baud Rate Errorlevels Passed By FrontDoor...
rem 

    If ErrorLevel 144 Goto 14400
    If ErrorLevel 120 Goto 12000
    If ErrorLevel 96 Goto 9600
    If ErrorLevel 72 Goto 7200
    If ErrorLevel 48 Goto 4800
    If ErrorLevel 47 Goto 2400
    If ErrorLevel 46 Goto 1200
    If ErrorLevel 45 Goto 300

rem 
rem Check For FrontDoor's Internal Errorlevels...
rem 

    If ErrorLevel 10 Goto END
    If ErrorLevel 8  Goto FDLOADED
    If ErrorLevel 6  Goto NOFOSSIL
    If ErrorLevel 5  Goto INITMODEM
    If ErrorLevel 3  Goto DISKFULL

rem 
rem If All Else Fails...
rem 

:FATAL
    Echo Fatal Error With FrontDoor!!!!!
    Goto END

rem 
rem Do Maintenance (pack mail, door maintenance, etc.)
rem 

:MAINT
    Call C:\UTIL\BBSMAINT.BAT
    Goto BEGIN

rem 
rem Toss Incoming Mail...
rem 

:MAILRECV
    Echo ATM0H1 > COM1
    CD\GECHO
    GECHO TOSS
    CD\SHOTGUN
    SGSCAN
    If Exist C:\FD\SECURE\*.TIC Del C:\FD\SECURE\*.TIC
    If Exist c:\FD\SECURE\NODEDIFF.* Goto NODEDIFF
    Goto BEGIN

:NODEDIFF
    CD\FD\NU
    NU.EXE
    CD\FD
    FDNC /F
    Del C:\FD\SECURE\NODEDIFF.*
    Goto BEGIN

rem 
rem Process Baud Rate Errorlevels...
rem 

rem  ERRORLEVEL NOTES: 205 - When a caller exits Max-Menu to enter the BBS
                       200 - When the BBS creates Echo Mail
                       199 - When the BBS creates local mail
                       3   - When a caller logs off from Max-Menu

:14400
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:12000
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:9600
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:7200
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:4800
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:2400
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:1200
    Call DOBBS0.BAT
    If ErrorLevel 205 Call DOBBS1.BAT
    If ErrorLevel 200 Goto MAIL1
    If ErrorLevel 199 Goto MAIL2
    If ErrorLevel 3 Goto AFTER
    Goto AFTER

:300
    Type C:\FD\TOOSLOW.ANS > COM1
    Goto BEGIN

rem 
rem BBS End Run Routine
rem 

:AFTER
    C:
    Echo ATM0H1 > COM1
    CD\SHOTGUN\WATCHDOG
    WATCHDOG 1
    If ErrorLevel 199 Goto WDSCAN
    Goto BEGIN

rem 
rem Echo/Net Mail Scan
rem 

:WDSCAN
    CD\SHOTGUN
    SGSCAN -Local
    Goto BEGIN

:MAIL1
    Echo ATM0H1 > COM1
    CD\GECHO
    GECHO Scan
    CD\SHOTGUN
    SGSCAN
    Goto AFTER

:MAIL2
    Echo ATM0H1 > COM1
    CD\SHOTGUN
    SGSCAN -Local
    Goto AFTER

:FAX
    Set BGFAX=C:\FD\BGFAX
    CD\FD\BGFAX
    BGFAX /Fax C:\FD\BGFAX 1 Q
    FAXNOTE /FC:\FD\BGFAX /I /L /C /M /B /D
    Goto BEGIN
    
rem 
rem Process FrontDoor's Internal Errorlevels...
rem 

:FDLOADED

    Echo FrontDoor loaded on top of itself!  Exiting....
    Exit

:NOFOSSIL

    Echo Fossil driver not loaded!
    Goto END

:INITMODEM

    Echo Cannot initialize the modem!
    Goto END

:DISKFULL

    Echo Less than 32k of disk space free!
    Goto END

:END
    Call C:\UTIL\MUTE.BAT
    Fast
