@Echo Off
rem 
rem  This is an example batch file to use with FrontDoor, Max-Menu,
rem  Shotgun Professional, GEcho, The BBS WatchDog, and BG-Fax....
rem  Keep in mind that this batch file does not use the DOBBS/EXEBBS
rem  method of starting Max-Menu and the BBS.
rem
rem  Max-Menu is set up to exit at ErrorLevel 205 to start up my BBS
rem  program. I hope this is easy for you to follow, I've tried real
rem  hard to comment every step of it as clearly as possible.
rem 

:BEGIN
    Set FD=C:\FD
    Echo ATZ > COM1
    C:
    CD\SHOTGUN\WATCHDOG
    WATCHDOG 1
    If ErrorLevel 199 Goto WDSCAN
    CD\FD
    FD.EXE

rem 
rem Check for External (X) Events...  (Maintenance, etc.)
rem 

    If ErrorLevel 255 Goto FAX
    If ErrorLevel 205 Goto MAINT

rem 
rem Check For Incoming Mail...
rem 

    If ErrorLevel 200 Goto MAILRECV

rem 
rem Check For Baud Rate Errorlevels Passed By FrontDoor...
rem 

    If ErrorLevel 144 Goto 14400
    If ErrorLevel 120 Goto 12000
    If ErrorLevel 96 Goto 9600
    If ErrorLevel 72 Goto 7200
    If ErrorLevel 48 Goto 4800
    If ErrorLevel 47 Goto 2400
    If ErrorLevel 46 Goto 1200
    If ErrorLevel 45 Goto 300

rem 
rem Check For FrontDoor's Internal Errorlevels...
rem 

    If ErrorLevel 10 Goto END
    If ErrorLevel 8  Goto FDLOADED
    If ErrorLevel 6  Goto NOFOSSIL
    If ErrorLevel 5  Goto INITMODEM
    If ErrorLevel 3  Goto DISKFULL

rem 
rem If All Else Fails...
rem 

:FATAL
    Echo Fatal Error With FrontDoor!!!!!
    Goto END

rem 
rem Do Maintenance (pack mail, door maintenance, etc.)
rem 

:MAINT
    Call C:\UTIL\BBSMAINT.BAT
    Goto BEGIN

rem 
rem Toss Incoming Mail...
rem 

:MAILRECV
    Echo ATM0H1 > COM1
    CD\GECHO
    GECHO TOSS
    CD\SHOTGUN
    SGSCAN
    If Exist C:\FD\SECURE\*.TIC Del C:\FD\SECURE\*.TIC
    If Exist c:\FD\SECURE\NODEDIFF.* Goto NODEDIFF
    Goto BEGIN

:NODEDIFF
    CD\FD\NU
    NU.EXE
    CD\FD
    FDNC /F
    Del C:\FD\SECURE\NODEDIFF.*
    Goto BEGIN

rem 
rem  Process Baud Rate Errorlevels...
rem 
rem  The time in the /Z parameter is the maximum amount of time that you
rem  want a person in Max-Menu. In your MAXCFG/DOOR-SETTINGS, just set the
rem  Max Online Time to 0 to disable that feature. That is actually just
rem  for people who are using the DOBBS#.BAT method of doing things.
rem
rem  All you have to do is add a Menu Function Type #9 to your menu(s) in
rem  Max-Menu to exit at ErrorLevel 205 to enter the BBS. It doesn't matter
rem  if you tell it to create a batch file or not since the DOBBS#.BAT won't
rem  be used in this example.
rem
rem  The Goto BEGIN that I have included in every :##### label simply sends
rem  control back to the beginning if Max-Menu exits at one of it's internal
rem  ErrorLevels. (ie: A caller hangs up, system error, etc)
rem 

:14400
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S14400 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG14400
  Goto BEGIN

:SG14400
  CD\SHOTGUN
  SG -B14400 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER

rem 

:12000
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S12000 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG12000
  Goto BEGIN

:SG12000
  CD\SHOTGUN
  SG -B12000 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  goto AFTER

rem 

:9600
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S9600 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG9600
  Goto BEGIN

:SG9600
  CD\SHOTGUN
  SG -B9600 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER

rem 

:7200
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S7200 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG7200
  Goto BEGIN

:SG7200
  CD\SHOTGUN
  SG -B7200 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER

rem 

:4800
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S4800 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG4800
  Goto BEGIN

:SG4800
  CD\SHOTGUN
  SG -B4800 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER

rem 

:2400
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S2400 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG2400
  Goto BEGIN

:SG2400
  CD\SHOTGUN
  SG -B2400 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER
 
rem 

:1200
  CD\SHOTGUN\MAX
  MAXMENU /N1 /S1200 /Z30 /D=C:\SHOTGUN\NODE1\DOOR.SYS
  If ErrorLevel 205 Goto SG1200
  Goto BEGIN

:SG1200
  CD\SHOTGUN
  SG -B1200 -N1
  If ErrorLevel 200 Goto Mail1
  If ErrorLevel 199 Goto Mail2
  Goto AFTER

rem 

:300
  Type C:\FD\TOOSLOW.ANS > COM1
  Goto BEGIN

rem 
rem BBS End Run Routine
rem 

:AFTER
    C:
    Echo ATM0H1 > COM1
    CD\SHOTGUN\WATCHDOG
    WATCHDOG 1
    If ErrorLevel 199 Goto WDSCAN
    Goto BEGIN

rem 
rem Echo/Net Mail Scan
rem 

:WDSCAN
    CD\SHOTGUN
    SGSCAN -Local
    Goto BEGIN

:MAIL1
    Echo ATM0H1 > COM1
    CD\GECHO
    GECHO Scan
    CD\SHOTGUN
    SGSCAN
    Goto AFTER

:MAIL2
    Echo ATM0H1 > COM1
    CD\SHOTGUN
    SGSCAN -Local
    Goto AFTER

:FAX
    Set BGFAX=C:\FD\BGFAX
    CD\FD\BGFAX
    BGFAX /Fax C:\FD\BGFAX 1 Q
    FAXNOTE /FC:\FD\BGFAX /I /L /C /M /B /D
    Goto BEGIN
    
rem 
rem Process FrontDoor's Internal Errorlevels...
rem 

:FDLOADED

    Echo FrontDoor loaded on top of itself!  Exiting....
    Exit

:NOFOSSIL

    Echo Fossil driver not loaded!
    Goto END

:INITMODEM

    Echo Cannot initialize the modem!
    Goto END

:DISKFULL

    Echo Less than 32k of disk space free!
    Goto END

:END
    Call C:\UTIL\MUTE.BAT
    Fast
